image:
  registry: registry.gitlab.com
  image: gitlab-org/gitlab-runner

useTini: false

imagePullPolicy: IfNotPresent

livenessProbe: {}
readinessProbe: {}

gitlabUrl: https://gitlab.corpX.un

runnerToken: ""

unregisterRunners: true

terminationGracePeriodSeconds: 3600

concurrent: 10

shutdown_timeout: 0

checkInterval: 3

sessionServer:
  enabled: false

  serviceType: LoadBalancer

  ingress:
    enabled: false
    className: ""
    annotations: {}

rbac:
  create: true 
  generatedServiceAccountName: ""
  rules: []
  clusterWideAccess: false

  serviceAccountAnnotations: {}

  podSecurityPolicy:
    enabled: false
    resourceNames:
      - gitlab-runner

  imagePullSecrets: []

serviceAccount:
  create: true 
  name: ""
  annotations: {}
  imagePullSecrets: []

metrics:
  enabled: false

  portName: metrics

  port: 9252

  serviceMonitor:
    enabled: false

service:
  enabled: false
  type: ClusterIP

runners:
  config: |
    [[runners]]
      tls-ca-file = "/mnt/ca.crt"
      [runners.kubernetes]
        namespace = "{{.Release.Namespace}}"
        image = "alpine"
        privileged = true

  configPath: ""

  cache: {}

securityContext:
  allowPrivilegeEscalation: true 
  readOnlyRootFilesystem: false
  runAsNonRoot: true
  privileged: true
  capabilities:
    drop: ["ALL"]

strategy: {}

podSecurityContext:
  runAsUser: 100
  fsGroup: 65533

resources: {}

affinity: {}

topologySpreadConstraints: {}

runtimeClassName: ""

nodeSelector: {}

tolerations: []

extraEnv: {}

extraEnvFrom: {}

hostAliases: []

deploymentAnnotations: {}

deploymentLabels: {}

deploymentLifecycle: {}

podAnnotations: {}

podLabels: {}

priorityClassName: ""

secrets: []

configMaps: {}

volumeMounts:
  - name: ca-crt
    subPath: ca.crt
    mountPath: /mnt/ca.crt

volumes:
  - name: ca-crt
    configMap:
      name: ca-crt

extraObjects: []
